# cycler with different colors for the pages
cycler = Utils.cycle "#877DD7","#2DD7AA","#28AFFA","#7DDD11"


# Page Component
page = new PageComponent
	width: 375, height: 667
	point: Align.center
	borderColor: "gray", borderWidth: 1
	scrollVertical: no


# adding 8 pages
for number in [1..8]
	
	# a wrapper for the page
	pageWrapper = new Layer
		width: page.width, height: page.height
		backgroundColor: null
	
	# the page
	aPage = new Layer
		width: page.width-40, height: page.height-40
		borderRadius: 10
		backgroundColor: cycler()
		x: 20, y: 20
		parent: pageWrapper
	
	# adding a label
	Utils.labelLayer aPage, "Page " + number
	
	# adding the wrapper (!) to the Page Component
	page.addPage pageWrapper
